var io = require('socket.io').listen(8080);

io.sockets.on('connection', function (socket) {
  socket.send('Welcome !');
  socket.on('register user', function (data) {
    //console.log(data);
    socket.set('username', data.user, function () {
      socket.broadcast.send('User '+data.user+' connected');
    });
  });
  socket.on('message', function (msg) {
    socket.get('username', function (err, username) {
        socket.broadcast.send(username+' said: '+msg);
    });
  });
  socket.on('disconnect', function () {
     console.log('User left');    
  });
});
